<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="query" >
	<!-- link の引数を置換する -->
	<script>
		function change( obj ){
			// 設定ｸﾞﾙｰﾌﾟ(SET_GRP) を見つける
			const selgrp = document.forms[0].SET_GRP;
			// ﾌﾟﾙﾀﾞｳﾝの値(数値)を取得
			const num = selgrp.selectedIndex;
			//const num = document.form1.color1.selectedIndex;
			// 値(数値)から値(value値)を取得
			const str = selgrp.options[num].value;
			// ﾘﾝｸのSET_GRP.value を置換する。
			obj.href=obj.href.replace('SET_GRP.value',str);
		}
	</script>
</og:head>

<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0050"
	title	= "予定実績ﾃｰﾌﾞﾙ"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT"  onSubmit="timeSet();">
	<!-- 変更はここから -->
	<table summary="layout" >
		<tr>
			<og:column name="DYFROM" defaultVal="{@DATE.YMD @YMDFROM M-1}" size="8" lbl="DY_YOTE"
										placeholder="{@DATE.YMDF M-1}" >	<!-- 1ヶ月前 -->
				{@LBL.KARA}
				<og:column name="DYTO" defaultVal="{@DATE.YMD @YMDTO M1}" size="8" td="false"
										placeholder="{@DATE.YMDF M2}" />	<!-- 2ヶ月後 -->
			</og:column>

			<og:column name="CDJISI" defaultVal="0"	/>	<!-- 0:未実施分のみ表示する -->
			<og:column name="JUDG"		/>

			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='1' で、SET_GRP をキーに登録している選択肢 -->
			<og:column name="SET_GRP"	>
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)"
					keys="SEL_TYPE,SEL_KEY,command" vals="1,SET_GRP,NEW" />
			</og:column>

			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='2' に登録している選択肢 -->
			<og:column name="SET_KEY" aimai="V*" eventColumn="SET_GRP" >
				<!-- SET_GRP.value を選択されている SET_GRP の値を置換する。 -->
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)" onClick="change(this);"
					keys="SEL_TYPE,SEL_KEY,command" vals="2,SET_GRP.value,NEW" />
			</og:column>
		</tr>
	</table>
	<table summary="layout" >
		<tr>
			<og:column name="USRYOTE"	aimai="V*"	/>
			<og:column name="USRJISI"	aimai="V*"	/>
			<og:column name="USRAPP"	aimai="V*"	/>
			<og:column name="CMNT"		aimai="*V*"	/>
		</tr>
	</table>

	<og:queryButton>
		<og:select name="ORDER_BY" lbl="ORDER_BY" td="no">
			<og:option value="A.DY_YOTE,A.SET_KEY,A.SET_GRP"					lbls ="DY_YOTE,SET_KEY,SET_GRP"		selected="selected"  />
			<og:option value="A.CDJISI,A.DY_HATU,A.SET_KEY,A.SET_GRP"			lbls ="CDJISI,DY_HATU,SET_KEY,SET_GRP"			 />
			<og:option value="A.CDJISI,A.JUDG,A.DY_HATU"						lbls ="CDJISI,JUDG,DY_HATU" />
		</og:select>
	</og:queryButton>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
