<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="query" >
	<!-- link の引数を置換する -->
	<script>
		function change( obj ){
			// 設定ｸﾞﾙｰﾌﾟ(SET_GRP) を見つける
			const selgrp = document.forms[0].SET_GRP;
			// ﾌﾟﾙﾀﾞｳﾝの値(数値)を取得
			const num = selgrp.selectedIndex;
			//const num = document.form1.color1.selectedIndex;
			// 値(数値)から値(value値)を取得
			const str = selgrp.options[num].value;
			// ﾘﾝｸのSET_GRP.value を置換する。
			obj.href=obj.href.replace('SET_GRP.value',str);
		}
	</script>
</og:head>

<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0040"
	title	= "履歴ﾃｰﾌﾞﾙ"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT"  onSubmit="timeSet();">
	<!-- 変更はここから -->
	<table summary="layout" >
		<tr>
			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='1' で、SET_GRP をキーに登録している選択肢 -->
			<og:column name="SET_GRP"	>
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)"
					keys="SEL_TYPE,SEL_KEY,command" vals="1,SET_GRP,NEW" />
			</og:column>

			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='2' に登録している選択肢 -->
			<og:column name="SET_KEY" aimai="V*" eventColumn="SET_GRP" >
				<!-- SET_GRP.value を選択されている SET_GRP の値を置換する。 -->
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)" onClick="change(this);"
					keys="SEL_TYPE,SEL_KEY,command" vals="2,SET_GRP.value,NEW" />
			</og:column>
			<og:column name="DYFROM" defaultVal="{@DATE.YMD @YMDFROM M-1}" lbl="DY_HATU"
										placeholder="{@DATE.YMDF M-1}" >	<!-- １ヶ月前 -->
				{@LBL.KARA}
				<og:column name="DYTO" defaultVal="{@DATE.YMD @YMDTO}" size="8" td="false"
										placeholder="{@DATE.YMDF}" />
			</og:column>
		</tr>
		<tr>
			<og:column name="TKN_GRP"	>
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)"
					keys="SEL_TYPE,SEL_KEY,command" vals="0,TKN_GRP,NEW" />
			</og:column>
			<og:column name="TOKEN"		aimai="V*" />
			<og:column name="TKN_NM"	aimai="V*" />
			<og:column name="TAB_NM"	aimai="V*"	/>
		</tr>
		<tr>
			<og:column name="JUDG"		/>
			<og:column name="VAL"		aimai="V*"	/>
			<og:column name="RIYU"		aimai="V*"	/>
		</tr>
	</table>

	<og:queryButton>
		<og:select name="ORDER_BY" lbl="ORDER_BY" td="no">
			<og:option value="A.DY_HATU DESC,A.SET_KEY,A.SET_GRP,C.ROWNO,C.COLNO,A.UPCNT DESC"	lbls ="DY_HATU DESC,SET_KEY,SET_GRP,ROWNO,COLNO,UPCNT DESC"	selected="selected"  />
			<og:option value="A.DY_HATU DESC,A.SET_KEY,A.SET_GRP,A.TOKEN,A.UPCNT DESC"			lbls ="DY_HATU DESC,SET_KEY,SET_GRP,TOKEN,UPCNT DESC"		/>
			<og:option value="A.SET_GRP,A.TOKEN,A.UPCNT DESC,A.DY_HATU DESC,A.SET_KEY"			lbls ="SET_GRP,TOKEN,UPCNT DESC,DY_HATU DESC,SET_KEY"		/>
		</og:select>
	</og:queryButton>
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
