<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />
<og:head headType="query" >
	<!-- link の引数を置換する -->
	<script>
		function change( obj ){
			// 設定ｸﾞﾙｰﾌﾟ(SET_GRP) を見つける
			const selgrp = document.forms[0].SET_GRP;
			// ﾌﾟﾙﾀﾞｳﾝの値(数値)を取得
			const num = selgrp.selectedIndex;
			//const num = document.form1.color1.selectedIndex;
			// 値(数値)から値(value値)を取得
			const str = selgrp.options[num].value;
			// ﾘﾝｸのSET_GRP.value を置換する。
			obj.href=obj.href.replace('SET_GRP.value',str);
		}
	</script>
</og:head>

<jsp:directive.include file="/jsp/custom/query_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GG0100"
	title	= "ﾃﾞｰﾀ登録"
	date	= "2021/03/25"
	author	= "K.HASEGAWA"
	text	= ""
	version	= "001"
/>

<form method="GET" action="forward.jsp" target="RESULT"  onSubmit="timeSet();">
	<!-- 変更はここから -->
	<table summary="layout" >
		<tr>
			<og:column name="DY_HATU"  must="true"	defaultVal="{@DATE.YMD}" />
			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='1' で、SET_GRP をキーに登録している選択肢 -->
			<og:column name="SET_GRP"	must="true"	>
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)"
					keys="SEL_TYPE,SEL_KEY,command" vals="1,SET_GRP,NEW" />
			</og:column>

			<!-- GG03 の 選択ﾀｲﾌﾟ(SEL_TYPE)='2' に登録している選択肢 -->
			<og:column name="SET_KEY"	must="true" eventColumn="SET_GRP" >
				<!-- SET_GRP.value を選択されている SET_GRP の値を置換する。 -->
				<og:link gamenId="GG0030" href="index.jsp" target="CONTENTS" lbl=" (※)" onClick="change(this);"
					keys="SEL_TYPE,SEL_KEY,command" vals="2,SET_GRP.value,NEW" />
			</og:column>

			<!-- GG02 の ﾀﾌﾞ名称は、group by でまとめる。順番は、一番若い、ROWNO,COLNO順 -->
			<og:column name="TAB_NM"	eventColumn="SET_GRP" editor="DBMENU"
				param="select TAB_NM from GG02 where SET_GRP='{@SET_GRP}' group by TAB_NM order by min(ROWNO),min(COLNO)"
			/>
		</tr>
	</table>

	<og:queryButton />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
